(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['module', './fade', './flip', './flipAno', './scale', './slideIn', './slideOut'], factory);
  } else if (typeof exports !== "undefined") {
    factory(module, require('./fade'), require('./flip'), require('./flipAno'), require('./scale'), require('./slideIn'), require('./slideOut'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod, global.fade, global.flip, global.flipAno, global.scale, global.slideIn, global.slideOut);
    global.index = mod.exports;
  }
})(this, function (module, _fade, _flip, _flipAno, _scale, _slideIn, _slideOut) {
  'use strict';

  var _fade2 = _interopRequireDefault(_fade);

  var _flip2 = _interopRequireDefault(_flip);

  var _flipAno2 = _interopRequireDefault(_flipAno);

  var _scale2 = _interopRequireDefault(_scale);

  var _slideIn2 = _interopRequireDefault(_slideIn);

  var _slideOut2 = _interopRequireDefault(_slideOut);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  module.exports = {
    Fade: _fade2.default,
    Flip: _flip2.default,
    FlipAno: _flipAno2.default,
    Scale: _scale2.default,
    SlideIn: _slideIn2.default,
    SlideOut: _slideOut2.default
  };
});