import React, { Component } from 'react';
import PropTypes from 'prop-types';
import ReactCSSTransitionGroup from 'react-addons-css-transition-group';

export default class FlipAno extends Component {
  state = {
    count: 0
  }

  componentDidMount() {
    let count = this.state.count;
    const { time } = this.props;

    setInterval(() => {
      count++;
      this.setState({count});
    }, time);
  }

  componentWillUnmount() {
    clearTimeout();
  }

  render() {
    const { count } = this.state;
    const { text } = this.props;
    const displayText = text[count % text.length];

    return (
      <ReactCSSTransitionGroup
        className="animation"
        transitionEnterTimeout={1000}
        transitionLeaveTimeout={1000}
        transitionName="flipano">
        <span className="flipano"
          key={count}>
          {displayText}
        </span>
      </ReactCSSTransitionGroup>
    )
  }
}

FlipAno.defaultProps = {
  text: ['Please', 'Pass', 'Props', 'as', 'Array'],
  time: 2000
}

FlipAno.propTypes = {
  text: PropTypes.array,
  time: PropTypes.number
};
