import React, { Component } from 'react';
import PropTypes from 'prop-types';
import ReactCSSTransitionGroup from 'react-addons-css-transition-group';

export default class SileOut extends Component {
  state = {
    count: 0
  }

  componentDidMount() {
    let count = this.state.count;
    const { time } = this.props;

    setInterval(() => {
      count++;
      this.setState({count});
    }, time);
  }

  componentWillUnmount() {
    clearTimeout();
  }

  render() {
    const { count } = this.state;
    const { text } = this.props;
    const displayText = text[count % text.length];

    return (
      <ReactCSSTransitionGroup
        className="animation"
        transitionEnterTimeout={500}
        transitionLeaveTimeout={500}
        transitionName="slideout">
        <span className="slideout"
          key={count}>
          {displayText}
        </span>
      </ReactCSSTransitionGroup>
    )
  }
}

SileOut.defaultProps = {
  text: ['Please', 'Pass', 'Props', 'as', 'Array'],
  time: 3000
}

SileOut.propTypes = {
  text: PropTypes.array,
  time: PropTypes.number
};
